<?xml version="1.0" encoding="UTF-8"?>
<Configuration monitorInterval="30">
	<Properties>
		<Property name="LogFolder">${sys:log4j2.LogDir}</Property>
		<Property name="RollingFileName">${sys:log4j2.AppLogFilename}</Property>
		<Property name="RollingFilePattern">${date:yyyy_MM_dd}-%i.log.gz</Property>
		<Property name="PatternLayout">%d{yyyy-MM-dd'T'HH:mm:ss.SSSXXX}  %p %pid --- [%15.15t] %-40.40C : %m%n</Property>
	</Properties>
	<Appenders>
		<RollingFile name="RollingFileAppender" fileName="${LogFolder}/${RollingFileName}" 
		filePattern="${LogFolder}/${RollingFileName}_${RollingFilePattern}">
			<PatternLayout pattern="${PatternLayout}" />
			<Policies>
				<SizeBasedTriggeringPolicy size="50 MB"/>
			</Policies>
			<DefaultRolloverStrategy max="10"/>
		</RollingFile>
		<Console name="Console" target="SYSTEM_OUT">
			<PatternLayout pattern="${PatternLayout}"/>
		</Console>
	</Appenders>
	<Loggers>
	    <Root level="warn" additivity="false">
			<AppenderRef ref="RollingFileAppender"/>
		</Root>
	</Loggers>
</Configuration>